cURL
curl --request GET \ --url https://admin.snagsolutions.io/api/stratus/subscriptions/{id} \ --header 'X-API-KEY: <api-key>'
{ "name": "<string>", "websiteId": "<string>", "organizationId": "<string>", "callbackUrl": "<string>", "id": "<string>", "signingKey": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z", "functionIds": [ "<string>" ], "metadata": null, "startsAt": "<string>", "endsAt": "<string>", "disabled": true, "disabledAt": "2023-11-07T05:31:56Z", "disabledReason": "<string>", "consecutiveFailures": 123, "blockchainSubscriptions": [ { "id": "<string>", "chainId": 123, "contractAddress": "<string>", "eventSelector": "<string>", "eventAbi": "<string>", "functionAbi": "<string>", "fromBlock": "<string>", "createdAtBlock": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z" } ], "snagSubscriptions": [ { "id": "<string>", "table": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z" } ] }
This endpoint allows you to get a stratus subscription.
Documentation IndexFetch the complete documentation index at: https://docs.snagsolutions.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
Use this file to discover all available pages before exploring further.
200
v1
v2
Show child attributes
Was this page helpful?